Subject: Re: bug#46790: 28.0.50; make install with native-comp branch

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 24 Apr 2021 12:21:56 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 24 Apr 2021 10:49:07 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> 
>>   . where is the _real_ Emacs executable?
>>   . where is the symlink to it?
>>   . are you invoking the symlink explicitly or via PATH?
>>   . where is the .pdmp file?
>>   . where is the installed native-lisp/ directory?
>
> Also I've now tried to improve the diagnostics when Emacs fails to
> find the *.eln files, so please report what it says when it fails.

As I said before I found this bug when using dired-async-mode from
emacs-async package. When trying to copy a file nothing happened, no
child emacs process was made. As soon I symlinked the native-lisp/
directory in /usr/local/sbin dired-async started working, now it is no
more working symlink or not, I guess emacs --batch is not finding the
necessary libraries to start, but now unsure.

> In addition: you said earlier:
>
>> Emacs IS starting though but is not finding needed libraries.
>
> Maybe I misunderstand the problem.  Your original report quoted error
> messages like these:
>
>> thierry <at> IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs-28.0.50
>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory
>> thierry <at> IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory

Yes I sent this because I thought it was a straight forward way to show
the problem, however the strange thing was emacs was starting with no
apparent errors from its symlink in /usr/local/bin/

-- 
Thierry